ghc-7.0.4: The GHC API

HsLit

# Documentation

data HsLit Source

Constructors

HsChar Char |
HsCharPrim Char |
HsString FastString |
HsStringPrim FastString |
HsInt Integer |
HsIntPrim Integer |
HsWordPrim Integer |
HsInteger Integer Type |
HsRat Rational Type |
HsFloatPrim Rational |
HsDoublePrim Rational |

Instances

Eq HsLit |
Data HsLit |
Typeable HsLit |
Outputable HsLit |

data HsOverLit id Source

Constructors

OverLit |

Fields

ol_val :: OverLitVal
ol_rebindable :: Bool
ol_witness :: SyntaxExpr id
ol_type :: PostTcType

Instances

Typeable1 HsOverLit |
Eq (HsOverLit id) |
Data id => Data (HsOverLit id) |
Ord (HsOverLit id) |
OutputableBndr id => Outputable (HsOverLit id) |

data OverLitVal Source

Constructors

HsIntegral !Integer |
HsFractional !Rational |
HsIsString !FastString |

Instances

Eq OverLitVal |
Data OverLitVal |
Ord OverLitVal |
Typeable OverLitVal |
Outputable OverLitVal |

overLitType :: HsOverLit a -> Type Source